Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.configuration
Class EngineConfigurationFactoryFinder

    java.lang.Object
      |
      +--org.apache.axis.configuration.EngineConfigurationFactoryFinder

public class EngineConfigurationFactoryFinder
extends java.lang.Object

This is a default implementation of EngineConfigurationFactory. It is user-overrideable by a system property without affecting the caller. If you decide to override it, use delegation if you want to inherit the behaviour of this class as using class extension will result in tight loops. That is, your class should implement EngineConfigurationFactory and keep an instance of this class in a member field and delegate methods to that instance when the default behaviour is required.

Author:
  Richard A. Sitze

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Method Summary
`static EngineConfigurationFactory` | `newFactory()`
`static EngineConfigurationFactory` | `newFactory(java.lang.Object obj)` Create the default engine configuration and detect whether the user has overridden this with their own.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Method Detail

### newFactory

    public static EngineConfigurationFactory newFactory(java.lang.Object obj)

  Create the default engine configuration and detect whether the user has overridden this with their own. The discovery mechanism will use the following logic: - discover all available EngineConfigurationFactories - find all META-INF/services/org.apache.axis.EngineConfigurationFactory files available through class loaders. - read files (see Discovery) to obtain implementation(s) of that interface - For each impl, call 'newFactory(Object param)' - Each impl should examine the 'param' and return a new factory ONLY - if it knows what to do with it (i.e. it knows what to do with the 'real' type) - it can find it's configuration information - Return first non-null factory found. - Try EngineConfigurationFactoryServlet.newFactory(obj) - Try EngineConfigurationFactoryDefault.newFactory(obj) - If zero found (all return null), throw exception *** This needs more work: System.properties, etc. Discovery will have more tools to help with that (in the manner of use below) in the near future. ***

### newFactory

    public static EngineConfigurationFactory newFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.